pgpPktKeyV4_s(3)

NAME
pgpPktKeyV4_s - The version 4 format is similar to the version 3 format except for the absence of a validity period.

SYNOPSIS

#include <rpmpgp.h>

  Data Fields
byte version
byte time [4]
byte pubkey_algo

DETAILED DESCRIPTION

The version 4 format is similar to the version 3 format except for the absence of a validity period.

This has been moved to the signature packet. In addition, fingerprints of version 4 keys are calculated differently from version 3 keys, as described in section 'Enhanced Key Formats.'

A version 4 packet contains:

A one-octet version number (4).

A four-octet number denoting the time that the key was created.

A one-octet number denoting the public key algorithm of this key

A series of multi-precision integers comprising the key material. This algorithm-specific portion is:

Algorithm Specific Fields for RSA public keys:

multiprecision integer (MPI) of RSA public modulus n;

MPI of RSA public encryption exponent e.

Algorithm Specific Fields for DSA public keys:

MPI of DSA prime p;

MPI of DSA group order q (q is a prime divisor of p-1);

MPI of DSA group generator g;

MPI of DSA public key value y (= g**x where x is secret).

Algorithm Specific Fields for Elgamal public keys:

MPI of Elgamal prime p;

MPI of Elgamal group generator g;

MPI of Elgamal public key value y (= g**x where x is secret).

Definition at line 670 of file rpmpgp.h.

FIELD DOCUMENTATION

  byte pgpPktKeyV4_s::pubkey_algo

public key algorithm.

Definition at line 673 of file rpmpgp.h.

Referenced by pgpPrtKey.

  byte pgpPktKeyV4_s::time[4]

time that the key was created.

Definition at line 672 of file rpmpgp.h.

Referenced by pgpPrtKey.

  byte pgpPktKeyV4_s::version

version number (4).

Definition at line 671 of file rpmpgp.h.

Referenced by pgpPrtKey.

AUTHOR

Generated automatically by Doxygen for rpm from the source code.